{
    "overall": {
        "task": "classifier",
        "attacker": "text_grad",
        "logger": "json",
        "resume": null
    },
    "task": {
        "concept": "vangogh",
        "model_name_or_path": "CompVis/stable-diffusion-v1-4",
        "target_ckpt": "../checkpoints/des_vangogh.pt",
        "cache_path": ".cache",
        "dataset_path": "files/dataset/vangogh_des",
        "criterion": "l2",
        "classifier_dir":"results/checkpoint-2800"
    },
    "attacker": {
        "insertion_location": "prefix_k",
        "k": 3,
        "iteration": 40,
        "attack_idx": 0,
        "eval_seed": 0,
        "universal": false,
        "sequential": true,
        "text_grad": {
            "lr": 0.01,
            "weight_decay": 0.1
        }
    },
    "logger": {
        "json": {
            "root": "files/results/text_grad_esd_vangogh_classifier_des"
        }
    }
}